%bcond_without tests

Summary:        Python interface to the Redis key-value store
Name:           python-redis
Version:        5.1.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/redis/redis-py
Source0:        https://github.com/redis/redis-py/archive/v%{version}/redis-py-%{version}.tar.gz

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  redis
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(async-timeout)
BuildRequires:  python3dist(pytest-timeout)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(coverage)
%endif

BuildArch:      noarch

%description 
This package provides a Python interface to the Redis key-value store.

%package -n     python3-redis
Summary:        Python 3 interface to the Redis key-value store
Provides:       python3-redis = %{version}-%{release}

%description -n python3-redis
This package provides a Python 3 interface to the Redis key-value store.

%prep
%autosetup -n redis-py-%{version}

# local test, failed in koji...
rm tests/test_commands.py*
rm tests/test_asyncio/test_commands.py
rm tests/test_asyncio/test_connect.py
rm tests/test_asyncio/test_cwe_404.py
rm tests/test_bloom.py
rm tests/test_graph.py
rm tests/test_json.py
rm tests/test_timeseries.py
rm tests/test_asyncio/test_bloom.py
rm tests/test_asyncio/test_graph.py
rm tests/test_asyncio/test_json.py
rm tests/test_asyncio/test_timeseries.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files redis

%if %{with tests}
%check
redis-server --enable-debug-command yes &
%pytest -m 'not onlycluster and not redismod and not ssl' -k 'not xinfo_consumers'
kill %1
%endif

%files -n python3-redis -f %{pyproject_files}
%doc CHANGES README.md

%changelog
* Tue Oct 08 2024 jackeyji <jackeyji@tencent.com> - 5.1.1-1
- [Type] other
- [DESC] Upgrade to version 5.1.1 to adapt redis-7.2.6

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.4-2
- Rebuilt for loongarch release

* Wed May 29 2024 jackeyji <jackeyji@tencent.com> - 4.5.4-1
- [Type] security
- [DESC] Upgrade to version 4.5.4 to fix CVE-2023-28858 and CVE-2023-28859

* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 4.5.1-1
- Upgrade to version 4.5.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 4.3.4-1
- package init.
